net.sourceforge.pmd.lang.java.ast

## Class DumpFacade

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.lang.java.ast.DumpFacade

All Implemented Interfaces:
  JavaParserVisitor

    public class DumpFacade
    extends JavaParserVisitorAdapter

### Constructor Summary

Constructors
Constructor and Description
`DumpFacade()`

### Method Summary

Methods
`void` `initializeWith(Writer writer, String prefix, boolean recurse, JavaNode node)`
`Object` `visit(JavaNode node, Object data)`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DumpFacade

    public DumpFacade()

### Method Detail

#### initializeWith

    public void initializeWith(Writer writer,
                      String prefix,
                      boolean recurse,
                      JavaNode node)

#### visit

    public Object visit(JavaNode node,
               Object data)

Specified by:
  `visit` in interface `JavaParserVisitor`
Overrides:
  `visit` in class `JavaParserVisitorAdapter`